1203: Fetch execution status

1203: Fetch execution status

Fetch the details of a Housekeeping execution

Endpoint ID:

1203

Method

GET

URL:

/housekeeping/execution/{executionID}/status



executionID

The identifier of the execution to look up

Request body:

None

A JSON object including available details of the execution.

Example containing all required response properties:

{ "executionID": 12345, "executionType": "Selection", "movedToQuarantine": 0, "removedFromQuarantine": 0 }

Example including all optional response properties:

{ "executionID": 12346, "executionType": "Selector", "movedToQuarantine": 37, "removedFromQuarantine": 2, "processed": 800, "dataPrepared": "2025-03-01T12:55:02", "dataProcessingStarted": "2025-03-01T12:57:09", "dataProcessingCompleted": "2025-03-01T13:01:52" }

Status codes:


HttpStatusCode
ApiStatusSubCode
Description

200



Execution status successfully returned

404

404.4

executionID not found